#ifndef PARAMSWIDGET_H
#define PARAMSWIDGET_H

#include <QWidget>
#include "summalgorithmcore.h"

class ParamsWidget : public QWidget
{
    Q_OBJECT;

public:
    ParamsWidget(QWidget *parent = 0);
    virtual SummAlgorithmParams *getParams() = 0;
    virtual void setParams(SummAlgorithmParams *) = 0;

signals:
    void paramsChanged();
};

#endif // PARAMSWIDGET_H
